Skip to content
Endless Documentation

Skill tool content

POST
/tools/resolved/skills

Skill tool content.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/tools/resolved/skills" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string",    "skill_ids": [      "a3a09f13-d448-4e2d-9b89-c77123e1f19a"    ]  }'
{  "skills": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "body": "string",      "files": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}